# TdApi.SearchHashtags (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SearchHashtags

Package it.tdlight.jni

# Class TdApi.SearchHashtags

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SearchHashtags

Enclosing class:
  TdApi

    public static class TdApi.SearchHashtags
    extends TdApi.Function

Searches for recently used hashtags by their prefix.

Returns `Hashtags`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `limit` | The maximum number of hashtags to be returned.
`String` | `prefix` | Hashtag prefix to search for.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SearchHashtags()` | Searches for recently used hashtags by their prefix.
`SearchHashtags​(DataInput input)` |
`SearchHashtags​(String prefix, int limit)` | Searches for recently used hashtags by their prefix.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### prefix

public String prefix
Hashtag prefix to search for.

### limit

public int limit
The maximum number of hashtags to be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SearchHashtags

public SearchHashtags()
Searches for recently used hashtags by their prefix.

Returns `Hashtags`

### SearchHashtags

public SearchHashtags​(String prefix, int limit)
Searches for recently used hashtags by their prefix.

Returns `Hashtags`

Parameters:
  `prefix` - String Hashtag prefix to search for.
  `limit` - int The maximum number of hashtags to be returned.

### SearchHashtags

public SearchHashtags​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`